"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assertProductionOrTest = exports.assertProduction = void 0;

const assertProduction = () => {
  const nodeEnv = process.env.NODE_ENV ?? 'production';

  if (nodeEnv !== 'production') {
    throw new Error(`Invariant Violation: Invalid environment ${process.env.NODE_ENV} !== production.`);
  }
};

exports.assertProduction = assertProduction;

const assertProductionOrTest = () => {
  const nodeEnv = process.env.NODE_ENV ?? 'production';

  if (nodeEnv !== 'production' && nodeEnv !== 'test') {
    throw new Error(`Invariant Violation: Invalid environment ${process.env.NODE_ENV} is not one of production, or test.`);
  }
};

exports.assertProductionOrTest = assertProductionOrTest;